package com.backendsys.modules.cms.article.service;

import com.backendsys.modules.cms.article.entity.Article;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface ArticleService {

    // 获取资讯列表
    PageEntity selectArticleList(Article article);
    // 获取资讯详情
    Map<String, Object> selectArticleDetail(Article article);
    // 获取资讯详情 (公开)
    Map<String, Object> selectArticleDetailPublic(Article article);

    // 获取资讯详情 (视图)
    Article selectArticle(String lang, String uid);

    // 创建资讯
    Map<String, Object> insertArticle(Article article);
    // 编辑资讯
    Map<String, Object> updateArticle(Article article);
    // 删除资讯
    Map<String, Object> deleteArticle(Article article);
    // 删除资讯 (批量)
    Map<String, Object> deleteArticleBatch(Article article);

}
